Package com.orchestranetworks.dataservices.rest

# Interface Constants.Pagination

Enclosing interface:
  Constants

public static interface Constants.Pagination
Pagination keys and parameters.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_CURSOR`
  Pagination cursor position.
  `static final String`
  `KEY_MAX`
  Maximum page cursor position.
  `static final String`
  `KEY_PAGINATION`
  `static final String`
  `KEY_PAGINATION_FIRST_PAGE`
  `static final String`
  `KEY_PAGINATION_LAST_PAGE`
  `static final String`
  `KEY_PAGINATION_NEXT_PAGE`
  `static final String`
  `KEY_PAGINATION_PREVIOUS_PAGE`
  `static final String`
  `PARAM_FIRST_ELEMENT_INDEX`
  `static final String`
  `PARAM_PAGE_ACTION`
  `static final String`
  `PARAM_PAGE_FIRST_RECORD_FILTER`
  Deprecated.
  Since 5.9.0 and replaced by `PARAM_PAGE_RECORD_FILTER`.
  `static final String`
  `PARAM_PAGE_RECORD_FILTER`
  `static final String`
  `PARAM_PAGE_SIZE`
  `static final int`
  `PARAM_PAGE_SIZE_DATASPACE_SELECTION_MAX_VALUE`
  `static final String`
  `PARAM_PAGE_SIZE_UNBOUNDED_VALUE`
  Deprecated.
  Since 6.0.0, the pagination becomes required.
  `static final String`
  `VALUE_PAGE_ACTION_DEFAULT`
  `static final int`
  `VALUE_PAGE_SIZE_DEFAULT`

- ## Field Details

  - ### KEY_CURSOR

    static final String KEY_CURSOR
    Pagination cursor position.
    Since:
      6.1.3
    See Also:
      - Constant Field Values

  - ### KEY_MAX

    static final String KEY_MAX
    Maximum page cursor position.
    Since:
      6.1.3
    See Also:
      - Constant Field Values

  - ### PARAM_FIRST_ELEMENT_INDEX

    static final String PARAM_FIRST_ELEMENT_INDEX
    Since:
      6.1.3
    See Also:
      - `firstElementIndex` query parameter
      - Constant Field Values

  - ### PARAM_PAGE_FIRST_RECORD_FILTER

    @Deprecated static final String PARAM_PAGE_FIRST_RECORD_FILTER
    Deprecated.
    Since 5.9.0 and replaced by `PARAM_PAGE_RECORD_FILTER`.
    See Also:
      - Constant Field Values

  - ### PARAM_PAGE_RECORD_FILTER

    static final String PARAM_PAGE_RECORD_FILTER
    See Also:
      - `pageRecordFilter` query parameter
      - Constant Field Values

  - ### PARAM_PAGE_ACTION

    static final String PARAM_PAGE_ACTION
    See Also:
      - `pageAction` query parameter
      - Constant Field Values

  - ### PARAM_PAGE_SIZE

    static final String PARAM_PAGE_SIZE
    See Also:
      - `pageSize` query parameter
      - Constant Field Values

  - ### PARAM_PAGE_SIZE_UNBOUNDED_VALUE

    @Deprecated static final String PARAM_PAGE_SIZE_UNBOUNDED_VALUE
    Deprecated.
    Since 6.0.0, the pagination becomes required.
    See Also:
      - `PARAM_PAGE_SIZE`
      - Constant Field Values

  - ### PARAM_PAGE_SIZE_DATASPACE_SELECTION_MAX_VALUE

    static final int PARAM_PAGE_SIZE_DATASPACE_SELECTION_MAX_VALUE
    Since:
      6.0.0
    See Also:
      - `pageSize` maximum value
      - Constant Field Values

  - ### VALUE_PAGE_ACTION_DEFAULT

    static final String VALUE_PAGE_ACTION_DEFAULT
    See Also:
      - `first` query parameter value
      - Constant Field Values

  - ### VALUE_PAGE_SIZE_DEFAULT

    static final int VALUE_PAGE_SIZE_DEFAULT
    See Also:
      - `pageSize` query parameter
      - Constant Field Values

  - ### KEY_PAGINATION

    static final String KEY_PAGINATION
    See Also:
      - `pagination` common JSON property
      - Constant Field Values

  - ### KEY_PAGINATION_FIRST_PAGE

    static final String KEY_PAGINATION_FIRST_PAGE
    See Also:
      - `firstPage` common JSON property
      - Constant Field Values

  - ### KEY_PAGINATION_PREVIOUS_PAGE

    static final String KEY_PAGINATION_PREVIOUS_PAGE
    See Also:
      - `previousPage` common JSON property
      - Constant Field Values

  - ### KEY_PAGINATION_NEXT_PAGE

    static final String KEY_PAGINATION_NEXT_PAGE
    See Also:
      - `nextPage` common JSON property
      - Constant Field Values

  - ### KEY_PAGINATION_LAST_PAGE

    static final String KEY_PAGINATION_LAST_PAGE
    See Also:
      - `lastPage` common JSON property
      - Constant Field Values